Subject: Re: bug#35769: Local .bash_history cleared when tramp-histfile-override is set to t

From: Stefan Kangas <[email-masked]>
Date: Tue, 18 Aug 2020 11:31:24 +0000

tags 35769 + moreinfo
thanks

Michael Albinus <[email-masked]> writes:

> Wanrong Lin <[email-masked]> writes:
>
> Hi Wanrong,
>
>> Yes, please commit your work.
>>
>> I have never run tramp outside the stock Emacs, but I can certainly
>> give the package-install a try on tramp after you code is in.
>
> I've prepared an intermediate ELPA package Tramp 2.4.1.50 for you. Tramp
> as ELPA package will appear for the very first time end of June.
>
> Next message (off-list) I will send two files to you, tramp-2.4.1.50.tar
> and archive-contents. Pls copy them into any directory, let's say /tmp.
>
> In your .emacs, add the following forms:
>
> (require 'package)
> (add-to-list 'package-archives '("local" . "/tmp/"))
>
>
> When you open your *Packages* buffer, you'll see an entry like
>
>   tramp              2.4.1.50      new        local      Transparent Remote Access, Multiple Protocol
>
> Install it. Maybe you need to restart Emacs, don't know. When you run
> your test, check variable `tramp-version'. It shall have the value "2.4.1.50".
>
>> Wanrong
>
> Best regards, Michael.

It seems like the problem was fixed in a new version of Tramp?  So is
this still an issue or should it be closed?

Best regards,
Stefan Kangas